Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Interface NestedNameSupport

All Superinterfaces:
  NestedPropertySupport, NestedTagSupport

All Known Subinterfaces:
  NestedParentSupport

All Known Implementing Classes:
  NestedCheckboxTag, NestedDefineTag, NestedEmptyTag, NestedEqualTag, NestedErrorsTag, NestedFileTag, NestedFormTag, NestedGreaterEqualTag, NestedGreaterThanTag, NestedHiddenTag, NestedImgTag, NestedIterateTag, NestedLessEqualTag, NestedLessThanTag, NestedLinkTag, NestedMatchTag, NestedMessagesNotPresentTag, NestedMessagesPresentTag, NestedMessagesTag, NestedMessageTag, NestedMultiboxTag, NestedNotEmptyTag, NestedNotEqualTag, NestedNotMatchTag, NestedNotPresentTag, NestedOptionsCollectionTag, NestedOptionsTag, NestedPasswordTag, NestedPresentTag, NestedPropertyTag, NestedRadioTag, NestedRootTag, NestedSelectTag, NestedSizeTag, NestedTextareaTag, NestedTextTag, NestedWriteTag

public interface NestedNameSupport
extends NestedPropertySupport

This is so that managing classes can tell if a nested tag needs to have its name property set. From what I know, these tags use the property property, and the name is an addition.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003/08/26 12:57:41 $
Author:
  Arron Bates

Method Summary
`java.lang.String` | `getName()` The getters and setters required to set a tags name property.
`void` | `setName(java.lang.String newNamed)` The setter for the name property

Methods inherited from interface org.apache.struts.taglib.nested.NestedPropertySupport
`getProperty, setProperty`

Method Detail

### getName

    public java.lang.String getName()

  The getters and setters required to set a tags name property.

  Returns:
    String value of the tags' name property

### setName

    public void setName(java.lang.String newNamed)

  The setter for the name property

  Parameters:
    `newNamed` - new String value to set the name property to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation